#pragma once

#include "Resource.h"
#include "apl_gui.h"
#include "afxwin.h"
// CPrjColorLegendDlg dialog

class CPrjColorLegendDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CPrjColorLegendDlg)

public:
	CPrjColorLegendDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPrjColorLegendDlg();

// Dialog Data
	enum { IDD = IDD_PRJ_COLOR_LEGEND };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CaplColorStatic m_st_default;
	virtual BOOL OnInitDialog();
	CaplColorStatic m_st_pofig;
	CaplColorStatic m_st_endet;
	CaplColorStatic m_st_nostart_overdue;
	CaplColorStatic m_st_nostart_nooverdue;
	CaplColorStatic m_st_work_overdue;
	CaplColorStatic m_st_work_good_progn;
	CaplColorStatic m_st_work_bad_progn;

	CaplColorStatic m_st_default2;
	CaplColorStatic m_st_pofig2;
	CaplColorStatic m_st_endet2;
	CaplColorStatic m_st_nostart_overdue2;
	CaplColorStatic m_st_nostart_nooverdue2;
	CaplColorStatic m_st_work_overdue2;
	CaplColorStatic m_st_work_good_progn2;
	CaplColorStatic m_st_work_bad_progn2;

};
